Bug 815257 - aeolus-cleanup for rhevm provider is not removing the rhevm_provider details from conductor
aeolus-cleanup for rhevm provider is not removing the rhevm_provider details ...
Status: CLOSED WONTFIX
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-configure (Show other bugs)
1.0.0
Unspecified Unspecified
unspecified Severity low
: rc
: ---
Assigned To: Mo Morsi
Rehana
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-23 04:30 EDT by Rehana
Modified: 2013-08-14 14:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-14 14:40:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rehana 2012-04-23 04:30:46 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Login to aeolus_machine
2.issue the command
     aeolus-cleanup -p rhevm

command output:
aeolus-cleanup -p rhevm
notice: /Stage[main]/Aeolus::Profiles::Rhevm::Disabled/Aeolus::Profiles::Rhevm::Disable[blade26]/Exec[umount /mnt/rhevm-nfs]/returns: executed successfully
notice: Finished catalog run in 0.55 seconds

  
Actual results:
Observed that after successfully executing the command, the provider account in conductor was still not removed.

Expected results:
All the details related to rhevm provider should be removed.

Additional info:

rpm -qa | grep aeolus
aeolus-conductor-doc-0.8.12-1.el6_2.noarch
aeolus-configure-2.5.3-1.el6.noarch
aeolus-conductor-daemons-0.8.12-1.el6_2.noarch
aeolus-conductor-0.8.12-1.el6_2.noarch
rubygem-aeolus-image-0.3.0-12.el6.noarch
aeolus-all-0.8.12-1.el6_2.noarch
rubygem-aeolus-cli-0.3.1-1.el6.noarch

***rhevm_configure--file**************

cat /etc/aeolus-configure/nodes/rhevm_configure 
---
parameters:
  enable_https: true
  enable_security: false
  package_provider: rpm
classes:
  aeolus::conductor:
  aeolus::image-factory:
  aeolus::iwhd:
  aeolus::deltacloud::core:
  aeolus::profiles::rhevm:
    instances:
      default:
        # Uncomment and provide values to match your RHEV environment.
        #
        # The data center id can be found through the RHEV REST API or by executing
        # the following command. Note you may need to use insecure mode (-k).
        # curl https://rhevm.example.org:8443/api/datacenters --user username@fqdn:password
        #
        # Values below are examples.
        #
          nfs_server: qeblade26.rhq.lab.eng.bos.redhat.com
          nfs_export: /home/blade27_export
          nfs_mount_point: /mnt/rhevm-nfs
          deltacloud_username: admin@internal
          deltacloud_password: dog8code
          deltacloud_api: https://qeblade26.rhq.lab.eng.bos.redhat.com:8443/api
          deltacloud_data_center: 4051216f-a778-488f-8ae4-5a2541b009ff
          push_timeout: 1800

***rhevm_cleanup file********

cat /etc/aeolus-configure/nodes/rhevm_cleanup 
#rhevm-only cleanup specification
---
parameters:
  enable_https: true
  enable_security: false
  package_provider: rpm
classes:
  aeolus::profiles::rhevm::disabled:
    instances:
       blade26:
          nfs_mount_point: /mnt/rhevm-nfs
Comment 1 Mike Orazi 2012-08-16 11:59:53 EDT
Moving to 2.0.0 for consideration when we consider removing provider setup/removal from the  aeolus-configure/aeolus-cleanup run.
Comment 2 Mo Morsi 2013-08-14 14:40:09 EDT
aeolus is no longer in development

Note You need to log in before you can comment on or make changes to this bug.